Batch screening AML (sanctions.io)
Permite batch screening AML (sanctions.io).
Headers
- Type: stringFormat: uuidx
-org -id requiredUUID de la organización (tenant). Obligatorio en todos los endpoints AML salvo GET /aml/lists.
Body·
required
application/json
- Type: stringdata
_source requiredFuente por defecto para todos los ítems que no traigan
data_source. - Type:itemsrequiredProperties: 10
Lista enviada a POST /search/batch/ del proveedor (máx. 500 por petición en esta API).
- Type: numbermin
_score min:0max:1Umbral por defecto si el ítem no define
min_score.
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
Request Example for post/api/aml/screening/batch
curl /api/aml/screening/batch \
--request POST \
--header 'x-org-id: d97dbce5-fa34-41b1-8500-39d71be95ab0' \
--header 'Content-Type: application/json' \
--header 'x-org-id: YOUR_SECRET_TOKEN' \
--data '{
"data_source": "sanctions-lists",
"min_score": 0.88,
"items": [
{
"external_identifier": "",
"name": "Pied Piper Inc.",
"data_source": "",
"entity_type": "individual",
"min_score": 0,
"date_of_birth": "1980-05-15",
"country": "US",
"identifier": "",
"name_match_boosting_threshold": 0,
"page": 1
}
]
}'
{
"additionalProperty": "anything"
}